<?php

Yii::import('application.modules.core_models.models._base.BaseModel');

/**
 * This is the model base class for the table "gmb_verification_method".
 * DO NOT MODIFY THIS FILE! It is automatically generated by giix.
 * If any changes are necessary, you must set or override the required
 * property or method in class "GmbVerificationMethod".
 *
 * Columns in table "gmb_verification_method" available as properties of the model,
 * followed by relations of table "gmb_verification_method" available as properties of the model.
 *
 * @property integer $id
 * @property string $name
 *
 * @property ProviderPracticeGmbVerification[] $providerPracticeGmbVerifications
 */
abstract class BaseGmbVerificationMethod extends BaseModel
{

    public static function model($className = __CLASS__)
    {
        return parent::model($className);
    }

    public function tableName()
    {
        return 'gmb_verification_method';
    }

    public static function label($n = 1)
    {
        return Yii::t('app', 'GmbVerificationMethod|GmbVerificationMethods', $n);
    }

    public static function representingColumn()
    {
        return 'name';
    }

    public function rules()
    {
        return array(
            array('name', 'required'),
            array('name', 'length', 'max'=>20),
            array('id, name', 'safe', 'on'=>'search'),
        );
    }

    public function relations()
    {
        return array(
            'providerPracticeGmbVerifications' => array(self::HAS_MANY, 'ProviderPracticeGmbVerification', 'gmb_verification_method_id'),
        );
    }

    public function pivotModels()
    {
        return array(
        );
    }

    public function attributeLabels()
    {
        return array(
            'id' => Yii::t('app', 'ID'),
            'name' => Yii::t('app', 'Name'),
            'providerPracticeGmbVerifications' => null,
        );
    }

    public function search()
    {
        $criteria = new CDbCriteria;

        $criteria->compare('id', $this->id);
        $criteria->compare('name', $this->name, true);

        return new CActiveDataProvider($this, array(
            'criteria' => $criteria, 'pagination' => array('pageSize' => 100)
        ));
    }

}
